//存放刚开始时，商品的属性值。
var MarketPrict;
var MemberPrice;
var ProductNo;
var Score;
var Weight;
var Pdt_Tdspanp;
var ShowSorage;
var Thumbnail_ul;
var Thumbnail_ul_Width
var arrpid=new Array();
var arrgid=new Array();
$(document).ready(function() {
    //SetTab('#suitContainer .menuconainer li.menuitem','#suitContainer .itemcontainer div.tabitem');
    //SetTab('#tabContainer .menuconainer li.menuitem','#tabContainer .itemcontainer div.tabitem');    
	$(".related_img").bind("click",function(){
		$("#product_img").attr({
			"href" : $(this).attr("src")
		});
		$("#thumbnail_img").attr({
			"src" : $(this).attr("img2")
		});
		$('#thumbnail_img').attr({
		    "src":$(this).attr("img2"),
		    "jqimg":$(this).attr("img1")
		});
	});
	// 去除多规格超链接点击时的虚线
	$('.spec-item>a').focus(function(){
	    $(this).blur();
	});
	$(".thumbnail_li").hover(function(){
		$(this).addClass("focus");
	},function(){
		$(this).removeClass("focus");
	});
	$(".thumbnail_li").bind("click",function(){
		$(".thumbnail_li").removeClass("active");
		$(this).addClass("active");
	});
	$("#thumbnail_bimg").mouseover(function(){
		$('#ddlCountry').hide();
		$('#shippingWay').hide();
	});
	$("#thumbnail_bimg").mouseout(function(){
		$('#ddlCountry').show();
		$('#shippingWay').show();
	});
	//点击放大隐藏右上角图标
	$('#product_img').click(function(){
	    $('.picture_div').fadeOut('slow');
	    setTimeout(function(){
	        $('div[@id^=highslide-wrapper-]').click(function(){
	            $('.picture_div').fadeIn('slow');
	        });
	    },500);
	});
	$("#viewbig").click(function(){
        var imgs = '';
        $('img.related_img').each(function(){
                imgs += $(this).attr('img1') + '|';
        });
        if(imgs != ''){imgs = imgs.substring(0,imgs.length-1);};
        var form = $('#BigImgform');
        form.find('#hiddenimgs').val(imgs);
        form.submit();
	});
	$(".jqzoom").jqueryzoom({
        xzoom:350,
        yzoom:350,
        offset:10,
        position: "right",
        preload:1,
        lens:1
    });
    $('#btnAddToCart').click(function(){
        var isChooseAllSpecs = true;//是否选择了所有规格
    	var notChoiceSpec = '';//记录未选择的规格名称
    	var choiceSpec = ''//记录已选择的规格名称,购买的时候要记录到数据库的
    	$('.spec-content').each(function(i,n){//遍历所有规格名称,如果下面没有选择值，则把该规格名压入未选择规格列
    	    var property=$(this).attr("data-property");
            if($(this).children('.spec-selected').length==0){
                isChooseAllSpecs = false;
                notChoiceSpec += property+","
            }else{
				choiceSpec += property+"："+$(this).children('.spec-selected').attr("title")+"<br/>"
            }
        });
        
	    if(!isChooseAllSpecs){
	        if(notChoiceSpec != ''){notChoiceSpec = notChoiceSpec.substring(0,notChoiceSpec.length-1);}
	        alert("请选择："+notChoiceSpec);
	        return false;
	    }
	    else
	    {
			choiceSpec = choiceSpec.substring(0,choiceSpec.length-5);//去掉最后一个<br/>
			$('#spectext').val(escape(choiceSpec));
	    }
	    var buyNum = Number($('#txtQuantity').val());
	    if(isNaN(buyNum) || buyNum<=0){
	        alert("请填写正确的购买数量！");
	        return false;
	    }
	    if(buyNum>stock){
	        alert("您的购买数量超出库存！");
	        return false;
	    }
	    //实时检查库存及商品状态,需要实时判断的话要打开该注释
        //return checkPStatus();
        
        $.ajax({
            url:baseUrl + 'mycart.aspx?nocopyright=1&ajax=AddToCart',
            data:'pid=' + $('#pid').val() + '&gid=' + $('#gid').val() + '&txtQuantity=' + $('#txtQuantity').val(),
            type:'post',
            cache:false,
            success:function(msg){
                $('#sQuantity').text(msg);
                alert("添加成功");
            },error:function(){alert('error');}
        });
	});
	$('#btnBuy').click(function(){
    	var isChooseAllSpecs = true;//是否选择了所有规格
    	var notChoiceSpec = '';//记录未选择的规格名称
    	var choiceSpec = ''//记录已选择的规格名称,购买的时候要记录到数据库的
    	$('.spec-content').each(function(i,n){//遍历所有规格名称,如果下面没有选择值，则把该规格名压入未选择规格列
    	    var property=$(this).attr("data-property");
            if($(this).children('.spec-selected').length==0){
                isChooseAllSpecs = false;
                notChoiceSpec += property+","
            }else{
				choiceSpec += property+"："+$(this).children('.spec-selected').attr("title")+"<br/>"
            }
        });
        
	    if(!isChooseAllSpecs){
	        if(notChoiceSpec != ''){notChoiceSpec = notChoiceSpec.substring(0,notChoiceSpec.length-1);}
	        alert("请选择："+notChoiceSpec);
	        return false;
	    }
	    else
	    {
			choiceSpec = choiceSpec.substring(0,choiceSpec.length-5);//去掉最后一个<br/>
			$('#spectext').val(escape(choiceSpec));
	    }
	    var buyNum = Number($('#txtQuantity').val());
	    if(isNaN(buyNum) || buyNum<=0){
	        alert("请填写正确的购买数量！");
	        return false;
	    }
	    if(buyNum>stock){
	        alert("您的购买数量超出库存！");
	        return false;
	    }
//	    alert($('#gid').val());
	    return true;
	    //实时检查库存及商品状态,需要实时判断的话要打开该注释
        //return checkPStatus();
	});
	if(Specs != "" && SpecDesc != "")
	{
	    //缓存规格选择提示信息
	    if($("#ChoiceSpecTip"))$("#ChoiceSpecTip").data("content",$("#ChoiceSpecTip").html());
	    $('.spec-item').bind("click",ChooseSpec);
	    //如果某个规格只有一个值则自动设为已选择。
	    InitSelectSpec();
	    //自动选择第一个规格组合
	    //AutoSelectSpec();
        //备份数据
        BackupSpecs();
    }
//    else
//    {
//        $('#gid').val(SkuMap["0:0;0:0"]["skuId"]);
//    }
});// end document.ready()


//进入页面时显示第一个规格组合为已选择
function AutoSelectSpec(){
    $('.spec-content').each(function(){
        $(this).children().not($(".disable")).eq(0).click();

    });
};

//当进入页面时，如果某个规格只有一个值的话要设为已选择。
function InitSelectSpec(){
    $('.spec-content').each(function(){
        if($(this).children().length==1){
            $(this).children().eq(0).click();
        };
    });
};

//当商品有多个规格时，要备份刚开始的数据。
function BackupSpecs(){
//  MarketPrict=$('#marketprice').text();
    MemberPrice=$('#memberprice').text();
	ProductNo=$('#productno').text();
//	Score=$('#score').text();
//	Weight=$('#weight').text();
//	Pdt_Tdspanp=$('.pdt_tdspanp').html();
//	ShowSorage=$('#ShowSorage').html();
//	Thumbnail_ul=$('.thumbnail_ul').html();
//	Thumbnail_ul_Width=$('.thumbnail_ul').width();
}

//当用户开始选择了规格，后来又放弃了选择规格时要还原数据。
function RestoreSpecs(){
//	$('#marketprice').text(MarketPrict);
	$('#memberprice').text(MemberPrice);
    $('#productno').text(ProductNo);
//	$('#score').text(Score);
//	$('#weight').text(Weight);
//	$('.pdt_tdspanp').html(Pdt_Tdspanp);
//  $('#ShowSorage').html(ShowSorage);
//  $('.thumbnail_ul').html(Thumbnail_ul);
//  $('.thumbnail_ul').css('width',Thumbnail_ul_Width);
//    
//	$(".related_img").bind("click",function(){
//		$("#product_img").attr({
//			"href" : $(this).attr("src")
//		});
//		$('#thumbnail_img').attr({
//		    "src":$(this).attr("src"),
//		    "jqimg":$(this).attr("src")
//		});
//	});
//	$('#thumbnail_img').attr({
//	    "src":$('.related_img').attr("src"),
//	    "jqimg":$('.related_img').attr("src")
//	});
//	$(".thumbnail_li").hover(function(){
//		$(this).addClass("focus");
//	},function(){
//		$(this).removeClass("focus");
//	});
//	$(".thumbnail_li").bind("click",function(){
//		$(".thumbnail_li").removeClass("active");
//		$(this).addClass("active");
//	});
}

function ChooseSpec(){
    var currSpec = $(this);
    var currSpecName = $(this).parent().attr("data-property");//当前规格名
    var currSpecValue = $(this).attr("data-value");//当前规格值
    var nextSpec = $('.spec-content[data-property!='+currSpecName+']');
    if($(this).hasClass('spec-selected')){
        //只要有一个规则没有选择就要重置商品属性值。
        RestoreSpecs();
        $('#gid').val(0);
        $(this).removeClass('spec-selected');
        nextSpec.children('.disable').removeClass("disable").addClass("hand").bind("click",ChooseSpec);
        $('em[title='+currSpecName+']').remove();
        if($('.spec-selected').length == 0){
            $("#ChoiceSpecTip").html($("#ChoiceSpecTip").data("content"));    
        }       
        return false;
    }else{
        $(this).addClass('spec-selected');
        $(this).siblings(".spec-selected").removeClass('spec-selected');
        //当选择一个规格时，如果其它的规格只有一个值的话也要设为已选定。
        nextSpec.each(function(){
            if($(this).children().length==1){
                $(this).children().eq(0).addClass("spec-selected").bind("click",ChooseSpec);
            }
        });
    }
	var selected_value='';
	$('#ChoiceSpecTip').children('dt').text('已选择：');
    $('#ChoiceSpecTip').children('dd').empty();
	$('.spec-selected').each(function(){//组合选中的规格值
	    selected_value += $(this).attr("data-value")+";"
		$('#ChoiceSpecTip').children('dd').append('<em title="'+$(this).parent().attr("data-property")+'">'+$(this).attr("title")+'</em>');
	});
	if(selected_value.length>0)selected_value=selected_value.substring(0,selected_value.length-1);
	if($('.spec-selected').length == $('.spec-content').length)//已选择了所有规格
	{
		var skuObj=SkuMap[selected_value];
        var gid= skuObj ? skuObj["skuId"] : "";//商品ID
        var gprice=skuObj ? skuObj["price"] : mprice;//价格
        var gstock=skuObj ? skuObj["stock"] : "0";//库存
        var gcode=skuObj ? skuObj["code"] : "";//商家编码
        stock = gstock;
	    $('#memberprice').text(gprice);
	    $('#productno').text(gcode);
	    $('.sign').empty().html(CurrencySign);
        if(gstock > 0){
           $('#ShowSorage').html('现货');
        }
        else{
           $('#ShowSorage').html("缺货<span id='stockreg_info' class='pdt_tdspan'>(到货通知)</span>");
           $('#stockreg_info').click(function(){
                showAddStockReg();//弹出框
           });
        };
        $('#gid').val(gid);
	}//end if
    //判断哪些规格没有组合的，要剔除掉
    nextSpec.children('.spec-item').removeClass("hand").addClass("disable").unbind("click");
    nextSpec.children('.spec-item').each(function(){
        var tempvalue1 = currSpecValue + ";" + $(this).attr("data-value");
        var tempvalue2 = $(this).attr("data-value") + ";" + currSpecValue;
        var skuObj = SkuMap[tempvalue1] ? SkuMap[tempvalue1] : SkuMap[tempvalue2];
        if(skuObj && skuObj["stock"]>0){
            $(this).removeClass("disable").addClass("hand").bind("click",ChooseSpec);
        };
    });
}

function ShowParas(){
	var paras=parasString.paras;
	$.each(paras,function(i,n){
		var tempItem=$("<tr><th class='tdTitle'>"+n.group+"</th><th>&nbsp;</th></tr>").appendTo($("#paras"));					
			$.each(n.options,function(j,m){
				var tempRow=$("<tr></tr>").appendTo($("#paras"));
				var tempCell1=$("<td class='tdTitle'>"+m.name+"</td>").appendTo(tempRow);
				var tempCell2=$("<td>"+m.value+"</td>").appendTo(tempRow);
			});
	});
}
function CalcFit(obj,pid,gid,price,lessmoney)
{
    if(obj.checked){
        $('#famount').text(Number($('#famount').text())+1);
        $('#fprice').text((Number($('#fprice').text())+Number(price)).toFixed(2));
        arrpid.push(pid);
        arrgid.push(gid);
    }
    else{
        $('#famount').text(Number($('#famount').text())-1);
        $('#fprice').text((Number($('#fprice').text())-Number(price)).toFixed(2));
        arrpid=$.grep(arrpid,function(n,i){
	        return n != pid;
	    });
	    arrgid=$.grep(arrgid,function(n,i){
	        return n != gid;
	    });
    }
    $('#fbuy').attr("href",baseUrl+"mycart.aspx?pid="+$("#pid").val()+","+arrpid.join(",")+"&gid="+$("#gid").val()+","+arrgid.join(","));
}
